Results 1 to 5 of 5

Thread: Please help me. configure: error: C compiler cant create executables

  1. #1
    Join Date
    May 2006
    Beans
    2

    Please help me. configure: error: C compiler cant create executables

    I'm install sqlite3 when input command
    $ ../sqlite-3.3.5/configure

    it's show

    checking build system type... i686-pc-linux-gnulibc1
    checking host system type... i686-pc-linux-gnulibc1
    checking for gcc... gcc
    checking for C compiler default output file name... configure: error: C compiler cannot create executables
    See `config.log' for more details.

    I try to change link gcc to gcc 2.72, 3.3, 3.4 and 4.0 by using command
    $ sudo ln -sf /usr/bin/gccXXX /usr/bin/gcc

    its correct?
    How can I fix this problem ?

    I've alredy install
    cpp
    cpp-2.95
    cpp-3.3
    cpp-3.4
    cpp-4.0
    gcc
    gcc272
    gcc-2.95
    gcc-3.3
    gcc-3.3 base
    gcc-3.4
    gcc-3.4 base
    gcc-4.0
    gcc-4.0 base
    libgcc1
    libgcj6
    libgcj6-common

    Thanks for answer

  2. #2
    Join Date
    Nov 2005
    Beans
    55
    Distro
    Ubuntu Breezy 5.10

    Re: Please help me. configure: error: C compiler cant create executables

    try running sudo apt-get install build-essential from ythe command line.

  3. #3
    Join Date
    Mar 2005
    Location
    Pennsylvania
    Beans
    384
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Please help me. configure: error: C compiler cant create executables

    I just noticed the same thing myself.

    Code:
    $ ./configure
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking whether to enable maintainer-specific portions of Makefiles... no
    checking for gcc... gcc-3.4
    checking for C compiler default output file name... configure: error: C compiler cannot create executables
    See `config.log' for more details.
    $
    Code:
    $ sudo apt-get install build-essential
    Reading package lists... Done
    Building dependency tree... Done
    build-essential is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    $
    Contents of config.log:
    Code:
    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.
    
    It was created by hearts configure 0.1, which was
    generated by GNU Autoconf 2.59.  Invocation command line was
    
      $ ./configure
    
    ## --------- ##
    ## Platform. ##
    ## --------- ##
    
    hostname = delta
    uname -m = i686
    uname -r = 2.6.12-10-386
    uname -s = Linux
    uname -v = #1 Fri Apr 28 13:13:44 UTC 2006
    
    /usr/bin/uname -p = unknown
    /bin/uname -X     = unknown
    
    /bin/arch              = i686
    /usr/bin/arch -k       = unknown
    /usr/convex/getsysinfo = unknown
    hostinfo               = unknown
    /bin/machine           = unknown
    /usr/bin/oslevel       = unknown
    /bin/universe          = unknown
    
    PATH: /usr/local/bin
    PATH: /usr/local/sbin
    PATH: /sbin
    PATH: /usr/sbin
    PATH: /bin
    PATH: /usr/bin
    PATH: /usr/bin/X11
    PATH: /usr/games
    
    
    ## ----------- ##
    ## Core tests. ##
    ## ----------- ##
    
    configure:1370: checking for a BSD-compatible install
    configure:1425: result: /usr/bin/install -c
    configure:1436: checking whether build environment is sane
    configure:1479: result: yes
    configure:1544: checking for gawk
    configure:1560: found /usr/bin/gawk
    configure:1570: result: gawk
    configure:1580: checking whether make sets $(MAKE)
    configure:1600: result: yes
    configure:1771: checking whether to enable maintainer-specific portions of Makefiles
    configure:1780: result: no
    configure:1843: checking for gcc
    configure:1869: result: gcc-3.4
    configure:2113: checking for C compiler version
    configure:2116: gcc-3.4 --version </dev/null >&5
    ./configure: line 2117: gcc-3.4: command not found
    configure:2119: $? = 127
    configure:2121: gcc-3.4 -v </dev/null >&5
    ./configure: line 2122: gcc-3.4: command not found
    configure:2124: $? = 127
    configure:2126: gcc-3.4 -V </dev/null >&5
    ./configure: line 2127: gcc-3.4: command not found
    configure:2129: $? = 127
    configure:2152: checking for C compiler default output file name
    configure:2155: gcc-3.4    conftest.c  >&5
    ./configure: line 2156: gcc-3.4: command not found
    configure:2158: $? = 127
    configure: failed program was:
    | /* confdefs.h.  */
    |
    | #define PACKAGE_NAME "hearts"
    | #define PACKAGE_TARNAME "hearts"
    | #define PACKAGE_VERSION "0.1"
    | #define PACKAGE_STRING "hearts 0.1"
    | #define PACKAGE_BUGREPORT "http://bugzilla.jejik.com/"
    | #define PACKAGE "hearts"
    | #define VERSION "0.1"
    | /* end confdefs.h.  */
    |
    | int
    | main ()
    | {
    |
    |   ;
    |   return 0;
    | }
    configure:2197: error: C compiler cannot create executables
    See `config.log' for more details.
    
    ## ---------------- ##
    ## Cache variables. ##
    ## ---------------- ##
    
    ac_cv_env_CC_set=set
    ac_cv_env_CC_value=gcc-3.4
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CPP_set=
    ac_cv_env_CPP_value=
    ac_cv_env_HEARTS_CFLAGS_set=
    ac_cv_env_HEARTS_CFLAGS_value=
    ac_cv_env_HEARTS_LIBS_set=
    ac_cv_env_HEARTS_LIBS_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_PKG_CONFIG_set=
    ac_cv_env_PKG_CONFIG_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_path_install='/usr/bin/install -c'
    ac_cv_prog_AWK=gawk
    ac_cv_prog_ac_ct_CC=gcc-3.4
    ac_cv_prog_make_make_set=yes
    
    ## ----------------- ##
    ## Output variables. ##
    ## ----------------- ##
    
    ACLOCAL='${SHELL} /home/karthik/hearts/trunk/missing --run aclocal-1.9'
    AMDEPBACKSLASH=''
    AMDEP_FALSE=''
    AMDEP_TRUE=''
    AMTAR='${SHELL} /home/karthik/hearts/trunk/missing --run tar'
    AUTOCONF='${SHELL} /home/karthik/hearts/trunk/missing --run autoconf'
    AUTOHEADER='${SHELL} /home/karthik/hearts/trunk/missing --run autoheader'
    AUTOMAKE='${SHELL} /home/karthik/hearts/trunk/missing --run automake-1.9'
    AWK='gawk'
    CATALOGS=''
    CATOBJEXT=''
    CC='gcc-3.4'
    CCDEPMODE=''
    CFLAGS=''
    CONFIG_DATA_DIR=''
    CPP=''
    CPPFLAGS=''
    CYGPATH_W='echo'
    DATADIRNAME=''
    DEFS=''
    DEPDIR=''
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP=''
    EXEEXT=''
    GETTEXT_PACKAGE=''
    GMOFILES=''
    GMSGFMT=''
    HEARTS_CFLAGS=''
    HEARTS_LIBS=''
    INSTALL_DATA='${INSTALL} -m 644'
    INSTALL_PROGRAM='${INSTALL}'
    INSTALL_SCRIPT='${INSTALL}'
    INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
    INSTOBJEXT=''
    INTLLIBS=''
    INTLTOOL_CAVES_RULE=''
    INTLTOOL_DESKTOP_RULE=''
    INTLTOOL_DIRECTORY_RULE=''
    INTLTOOL_EXTRACT=''
    INTLTOOL_ICONV=''
    INTLTOOL_KBD_RULE=''
    INTLTOOL_KEYS_RULE=''
    INTLTOOL_MERGE=''
    INTLTOOL_MSGFMT=''
    INTLTOOL_MSGMERGE=''
    INTLTOOL_OAF_RULE=''
    INTLTOOL_PERL=''
    INTLTOOL_PONG_RULE=''
    INTLTOOL_PROP_RULE=''
    INTLTOOL_SCHEMAS_RULE=''
    INTLTOOL_SERVER_RULE=''
    INTLTOOL_SHEET_RULE=''
    INTLTOOL_SOUNDLIST_RULE=''
    INTLTOOL_THEME_RULE=''
    INTLTOOL_UI_RULE=''
    INTLTOOL_UPDATE=''
    INTLTOOL_XAM_RULE=''
    INTLTOOL_XGETTEXT=''
    INTLTOOL_XML_NOMERGE_RULE=''
    INTLTOOL_XML_RULE=''
    LDFLAGS=''
    LIBOBJS=''
    LIBS=''
    LTLIBOBJS=''
    MAINT='#'
    MAINTAINER_MODE_FALSE=''
    MAINTAINER_MODE_TRUE='#'
    MAKEINFO='${SHELL} /home/karthik/hearts/trunk/missing --run makeinfo'
    MKINSTALLDIRS=''
    MSGFMT=''
    OBJEXT=''
    PACKAGE='hearts'
    PACKAGE_BUGREPORT='http://bugzilla.jejik.com/'
    PACKAGE_NAME='hearts'
    PACKAGE_STRING='hearts 0.1'
    PACKAGE_TARNAME='hearts'
    PACKAGE_VERSION='0.1'
    PATH_SEPARATOR=':'
    PKG_CONFIG=''
    POFILES=''
    POSUB=''
    PO_IN_DATADIR_FALSE=''
    PO_IN_DATADIR_TRUE=''
    SET_MAKE=''
    SHELL='/bin/sh'
    STRIP=''
    USE_NLS=''
    VERSION='0.1'
    XGETTEXT=''
    ac_ct_CC='gcc-3.4'
    ac_ct_STRIP=''
    ac_pt_PKG_CONFIG=''
    am__fastdepCC_FALSE=''
    am__fastdepCC_TRUE=''
    am__include=''
    am__leading_dot='.'
    am__quote=''
    am__tar='${AMTAR} chof - "$$tardir"'
    am__untar='${AMTAR} xf -'
    bindir='${exec_prefix}/bin'
    build_alias=''
    datadir='${prefix}/share'
    exec_prefix='NONE'
    host_alias=''
    includedir='${prefix}/include'
    infodir='${prefix}/info'
    install_sh='/home/karthik/hearts/trunk/install-sh'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localstatedir='${prefix}/var'
    mandir='${prefix}/man'
    mkdir_p='mkdir -p --'
    oldincludedir='/usr/include'
    prefix='NONE'
    program_transform_name='s,x,x,'
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    sysconfdir='${prefix}/etc'
    target_alias=''
    
    ## ----------- ##
    ## confdefs.h. ##
    ## ----------- ##
    
    #define PACKAGE "hearts"
    #define PACKAGE_BUGREPORT "http://bugzilla.jejik.com/"
    #define PACKAGE_NAME "hearts"
    #define PACKAGE_STRING "hearts 0.1"
    #define PACKAGE_TARNAME "hearts"
    #define PACKAGE_VERSION "0.1"
    #define VERSION "0.1"
    
    configure: exit 77
    $

  4. #4
    Join Date
    Mar 2005
    Location
    Pennsylvania
    Beans
    384
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Please help me. configure: error: C compiler cant create executables

    Ahh.... I apparently had to install gcc-3.4.

    Everything works fine now.

  5. #5
    Join Date
    May 2006
    Beans
    2

    Re: Please help me. configure: error: C compiler cant create executables

    Thank you. build-essential is work. but I must
    $ sudo apt-get remove build-essential
    then
    $ sudo apt-get install build-essential

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •